Nini Library API Reference - http://nini.sourceforge.net/ |

# ConfigSourceBase.Merge Method

Merges all IConfigs from another IConfigSource into the Configs collection.

public void Merge(
IConfigSource source
);

#### Parameters

source
  The IConfigSource to merge.

#### Implements

IConfigSource.Merge

#### Remarks

TODO.

#### Exceptions

Exception Type | Condition
--- | ---
Exception | If the IConfigSource has already been merged. If the IConfigSource is this. If an IConfig of the same name already exists.

#### See Also

ConfigSourceBase Class | Nini.Config Namespace